package com.bankaudit.dao;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintControlOperatingEffectiveness;

public interface MaintControlOperatingEffectivenessDao extends Dao {
	DataTableResponse getAllMaintControlOperatingEffectiveness(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);

	void deleteMaintControlOperatingEffectiveness(Integer legalEntityCode, String controlOperatingEffCode, String controlOperatingEffType,
			String statusAuth);

	Boolean isMaintControlOperatingEffectiveness(Integer legalEntityCode, String controlOperatingEffCode, String controlOperatingEffType);
	
	Boolean validateScore(MaintControlOperatingEffectiveness maintControlOperatingEffectiveness);
}
